<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.qs.mp.admin.mapper.GoodsMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.qs.mp.admin.domain.Goods">
        <id column="goods_id" property="goodsId" />
        <result column="title" property="title" />
        <result column="category_id" property="categoryId" />
        <result column="pic_url" property="picUrl" />
        <result column="description" property="description" />
        <result column="origin_price" property="originPrice" />
        <result column="exchange_price" property="exchangePrice" />
        <result column="value" property="value" />
        <result column="cost" property="cost" />
        <result column="quantity" property="quantity" />
        <result column="exchanged_qty" property="exchangedQty" />
        <result column="status" property="status" />
        <result column="exchange_show" property="exchangeShow" />
        <result column="multi_sku" property="multiSku" />
        <result column="sku_prop" property="skuProp" />
        <result column="sort_weight" property="sortWeight" />
        <result column="is_deleted" property="isDeleted" />
        <result column="created_time" property="createdTime" />
        <result column="updated_time" property="updatedTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        goods_id, title, category_id, pic_url, description, origin_price, exchange_price, value, cost, quantity, exchanged_qty, status, exchange_show, multi_sku, sku_prop, sort_weight, is_deleted, created_time, updated_time
    </sql>

</mapper>
